import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { UserEntity } from '../../domain/entities/user.entity';
import { UserModel } from '../models/user.model';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';

@Injectable()
export class UserDataService extends BaseDataService<UserEntity> {
  constructor(
    @InjectRepository(UserModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<UserModel>,
  ) {
    super(repo);
  }
}
